bytestring_t Struct Reference

## Data Fields

long | hash
char * | buffer
long | length
long | remaining
int | printed

## Detailed Description

Definition at line 39 of file rubyext.c.

## Field Documentation

char * bytestring_t::buffer

Definition at line 41 of file rubyext.c.

Referenced by bytestring_alloc(), bytestring_append(), bytestring_extend(), rb_syck_compile(), syck_st_free_syms(), and syck_yaml2byte().

long bytestring_t::hash

Definition at line 40 of file rubyext.c.

Referenced by bytestring_alloc(), bytestring_append(), and bytestring_extend().

long bytestring_t::length

Definition at line 42 of file rubyext.c.

Referenced by bytestring_alloc(), bytestring_append(), and bytestring_extend().

int bytestring_t::printed

Definition at line 44 of file rubyext.c.

Referenced by bytestring_alloc(), and bytestring_extend().

long bytestring_t::remaining

Definition at line 43 of file rubyext.c.

Referenced by bytestring_alloc(), bytestring_append(), and bytestring_extend().

The documentation for this struct was generated from the following files:

- ext/syck/rubyext.c
- ext/syck/syck.c
- ext/syck/yaml2byte.c